package com.sooka.sponest.monitor.camera.mapper;

import com.sooka.sponest.monitor.camera.domain.CentermonitorTCamera;
import com.sooka.sponest.monitor.camera.domain.CentermonitorTCameraCallLog;
import com.sooka.sponest.monitor.camera.domain.CentermonitorTCameraCallLogStatisticsDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 摄像头Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-08
 */
@Repository
public interface CentermonitorTCameraCallLogMapper{

    void insertInto(@Param("list") List<CentermonitorTCameraCallLog> save);

    List<CentermonitorTCameraCallLogStatisticsDTO> getCameraCallDepartmentLogOneStatistics(CentermonitorTCamera centermonitorTCamera);
    List<CentermonitorTCameraCallLogStatisticsDTO> getCameraCallDepartmentLogTwoStatistics(CentermonitorTCamera centermonitorTCamera);

    Integer getCameraCallLogStatistics(CentermonitorTCamera centermonitorTCamera);
}

