package com.sooka.sponest.monitor.device.domain;


import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class CenterMonitorIoTEquipmentDetailsVO {

    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     * 设备地址
     */
    private String address;
    /**
     * 上报时间
     */
    private String reportingDate;
    /**
     * 报警类型
     */
    private String alarmType;
    /**
     * 当前水压
     */
    private String hydraulicPressure;
    /**
     * 情况说明
     */
    private String remark;
    /**
     * 数据集合
     */
    private Map<String, List> dataSourceList = new HashMap<>();

    private List<Map<String,String>> nameList = new ArrayList<>();

    private List<String> dateList = new ArrayList<>();


}
