package com.sooka.sponest.monitor.device.domain;

import lombok.Data;

/**
 *  监控中心监测设备大气监测数据实体
 * */
@Data
public class CentermonitorTMonitoringDataAtmosphere extends MonitorBaseEntity{

    //温度
    private String temperature;
    //湿度
    private String humidity;
    //光照度
    private String illuminance;
    //大气压
    private String atmos;
    //风速
    private String windSpeed;
    //风向
    private String windDirection;
    //电池电压
    private String batteryVoltage;
    //臭氧
    private String ozone;
    //总挥发性有机物
    private String tvoc;
    //总悬浮颗粒物
    private String tsp;
    //二氧化氮
    private String nitrogenDioxide;
    //二氧化硫
    private String sulfurDioxide;
    //一氧化碳
    private String carbonMonoxide;
    //可吸入微粒 pm2.51
    private String fineParticle;
    //可吸入颗粒 pm10
    private String suctionParticle;
    //纬度
    private String latitude;
    //经度
    private String longitude;
    //信号强度
    private String signalStrength;
    //错误码
    private String errorCode;
    //版本
    private String version;
}
