package com.sooka.sponest.monitor.device.domain;

import lombok.Data;
/**
 *  监控中心监测设备水压监测数据实体
 * */
@Data
public class CentermonitorTMonitoringDataWaterPressure extends MonitorBaseEntity{

    public void putWaterPressureValue(String IMEI, String thresholdLowEnable, String thresholdHighEnable,
                                      String signalPower, String hydraulicValue, String hydraulicThresholdMin, String hydraulicThresholdMax,
                                      String heartbeatTime, String batteryVoltage, String batteryValue){
        this.IMEI = IMEI;
        this.thresholdLowEnable = thresholdLowEnable;
        this.thresholdHighEnable = thresholdHighEnable;
        this.signalPower = signalPower;
        this.hydraulicValue = hydraulicValue;
        this.hydraulicThresholdMin = hydraulicThresholdMin;
        this.hydraulicThresholdMax = hydraulicThresholdMax;
        this.heartbeatTime = heartbeatTime;
        this.batteryVoltage = batteryVoltage;
        this.batteryValue = batteryValue;
    }

    /**
     * 设备编码
     * */
    private String IMEI;

    /**
     * 下限警报使能
     * */
    private String thresholdLowEnable;
    /**
     * 上限警报使能
     * */
    private String thresholdHighEnable;
    /**
     * 信号强度
     * */
    private String signalPower;
    /**
     * 水压力值
     * */
    private String hydraulicValue;
    /**
     * 水压下限阈值
     * */
    private String hydraulicThresholdMin;
    /**
     * 水压上限阈值
     * */
    private String hydraulicThresholdMax;
    /**
     * 心跳周期
     * */
    private String heartbeatTime;
    /**
     * 电池电压
     * */
    private String batteryVoltage;
    /**
     * 电池电量
     * */
    private String batteryValue;
}
