package com.sooka.sponest.monitor.device.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Data;

/**
 *  监控中心监测设备水流速监测数据实体
 * */
@Data
public class CentermonitorTMonitoringDataWaterVelocity extends MonitorBaseEntity {

    /** 测站唯一编码 */
    private String ST;

    /** 功能码 */
    private String FUN;

    /** 数据采集时间 */
    private String TT;

    /** 通讯时间 */
    private String TM;

    /** 版本 */
    private Double VER;

    /** 传输标志 */
    private Integer MARK;

    /** 数据包流水号 */
    private Integer SERIAL;

    /** 测站类型 */
    private String TYPE;

    /** 设备温度 */
    private Double DTEMP;

    /** 电池电量 */
    private Double BAT;

    /** 设备通讯信号强度 */
    private Double SIGNAL;

    /** 设备电池电压 */
    private Double VT;

    /**水位*/
    private Double Z;

    /**流量计1瞬时流量Q1(采集水深/水位 流速 通过断面面积计算瞬时流量)*/
    private Double Q1;

    /**流量计2瞬时流量Q2(采集水深/水位 流速 通过断面面积计算瞬时流量)*/
    private Double Q2;

    /**瞬时流速*/
    private Double V1;

    /**水深*/
    private Double Z1;

    /**两个流量计的瞬时流量之和*/
    private Double Q;

    /**流量计1累计流量(通过瞬时流量的累计计算累计流量)*/
    private Double CQ1;

}

