package com.sooka.sponest.monitor.device.domain;

import lombok.Data;
/**
 *  监控中心监测设备土壤水分实体
 * */
@Data
public class CentermonitorTMonitoringThresholdSoilMoisture extends MonitorBaseEntity {

    /** 主键 */
    private String id;

    /** 设备编码 */
    private String deviceCode;

    /** 温度上限 */
    private String  temperatureThresholdUp;

    /** 温度下限 */
    private String  temperatureThresholdDown;

    /** 湿度上限 */
    private String  humidityThresholdUp;

    /** 湿度下限 */
    private String  humidityThresholdDown;

    /** ph值上限 */
    private String  phThresholdUp;

    /** ph值下限 */
    private String  phThresholdDown;

    /** 导电率上限 */
    private String  conductivityThresholdUp;

    /** 导电率下限 */
    private String  conductivityThresholdDown;

    /** 氮含量上限 */
    private String  nitrogenThresholdUp;

    /** 氮含量下限 */
    private String  nitrogenThresholdDown;

    /** 磷含量上限 */
    private String  phosphorusThresholdUp;

    /** 磷含量下限 */
    private String  phosphorusThresholdDown;

    /** 钾含量上限 */
    private String  potassiumThresholdUp;

    /** 钾含量下限 */
    private String  potassiumThresholdDown;



}

