package com.sooka.sponest.monitor.device.service;
import com.sooka.sponest.monitor.device.domain.CentermonitorTMonitoringThresholdWaterVelocity;

import java.util.List;

public interface ICentermonitorTMonitoringDeviceThresholdService {

    /**
     * 通过设备编码查询水流速传感器阈值
     * */
    CentermonitorTMonitoringThresholdWaterVelocity selectWaterVelocityThresholdByCode(String deviceCode);

    /**
     * 通过设备编码组查询水流速传感器阈值
     * */
    List<CentermonitorTMonitoringThresholdWaterVelocity> selectWaterVelocityThresholdByCodes(String[] deviceCodes);

    /**
     * 新增水流速监测设备阈值
     */
     int insertWaterVelocityThreshold(CentermonitorTMonitoringThresholdWaterVelocity thresholdWaterVelocity);

    /**
     * 修改水流速监测设备阈值
     */
     int updateWaterVelocityThreshold(CentermonitorTMonitoringThresholdWaterVelocity thresholdWaterVelocity);
}
