package com.sooka.sponest.monitor.device.service;

import com.sooka.sponest.monitor.device.domain.CentermonitorTMonitoringThresholdWaterQuality;

import java.util.List;

public interface ICentermonitorTMonitoringDeviceWaterQualityThresholdService {

    /**
     * 通过设备编码查询水质传感器阈值
     * */
    CentermonitorTMonitoringThresholdWaterQuality selectWaterQualityThresholdByCode(String deviceCode);

    /**
     * 通过设备编码组查询水质传感器阈值
     * */
    List<CentermonitorTMonitoringThresholdWaterQuality> selectWaterQualityThresholdByCodes(String[] deviceCodes);

    /**
     * 新增水质监测设备阈值
     */
     int insertWaterQualityThreshold(CentermonitorTMonitoringThresholdWaterQuality thresholdWaterQuality);

    /**
     * 修改水质监测设备阈值
     */
     int updateWaterQualityThreshold(CentermonitorTMonitoringThresholdWaterQuality thresholdWaterQuality);
}
