package com.sooka.sponest.monitor.remoteapi.service.center.event;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.monitor.camera.domain.VisuForestCloudMapVO;
import com.sooka.sponest.monitor.device.domain.SensorEventVo;
import com.sooka.sponest.monitor.remoteapi.fallback.center.event.RemoteEventBaseServiceFallbackFactory;
import com.sooka.sponest.monitor.remoteapi.service.ModulesServiceNameContants;
import com.sooka.sponest.monitor.remoteapi.service.center.event.domain.CentereventTDownloads;
import com.sooka.sponest.monitor.remoteapi.service.center.event.domain.CentereventTEventtype;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@FeignClient(
        contextId = "RemoteEventBaseService",
        value = ModulesServiceNameContants.CENTER_EVENT,
        fallbackFactory = RemoteEventBaseServiceFallbackFactory.class
)
public interface RemoteEventBaseService {

    //查询事件类型选项
    @GetMapping("/eventtype/getCentereventTEventtypeByParentId")
    R<List<CentereventTEventtype>> selectFirstEventType(@RequestParam("parentId") String parentId);

    @PostMapping("/eventreport/getEventGjnums")
    public R getEventGjnums(@RequestBody VisuForestCloudMapVO visuForestCloudMapVO);

    @PutMapping("/downloads")
    R downloads(@RequestBody CentereventTDownloads centereventTDownloads);

}
