package com.sooka.sponest.monitor.remoteapi.service.center.middleground;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.monitor.remoteapi.fallback.center.middleground.RemoteMiddleGroundBaseServiceFallbackFactory;
import com.sooka.sponest.monitor.remoteapi.service.ModulesServiceNameContants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(
        contextId = "remoteMiddleGroundService", fallbackFactory = RemoteMiddleGroundBaseServiceFallbackFactory.class,
        value = ModulesServiceNameContants.MIDDLE_GROUND_SERVICE,url = "${sooka.service.middleGround}")
public interface RemoteMiddleGroundService {

    @PostMapping("/api/WaterPressure/command")
    public String command(@RequestBody String data);
}
