package com.sooka.sponest.monitor.LabelManagement.domain;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CentermonitorSetLabel  {
    private static final long serialVersionUID = 1L;
    //标签id
    private String id;
    //标签名称
    private String name;
    //属性
    private String type;
    //排序
    private Integer sort;
    //父级ID
    private String parentId;
    private String sbId;
    private String sbType;
    //设备名称
    private String sbName;
    //预置点编号
    private String presetPointCode;
    //预置点名称
    private String presetPointName;
    //通道编号
    private String channelId;
    //摄像头编码
    private String cameraCode;

    //经纬度
    private String longitude;
    //经纬度
    private String latitude;
    //摄像头用途
    private String cameraUse;
    //摄像头图片
    private String cameraImg;
    //离线原因
    private String workingStatus;
    //覆盖范围
    private String cameraRadius;
    //所属区域
    private String cameraRegion;
    //子表标签id
    private Integer labelId;
    //子表设备id
    private String deviceId;
    //设备属性
    private String labelType;
    //设备类型
    private String sbNotes;
    //标签名称别名
    private String labelName;
    private String typeName;
    private String cameraName;
    private String cameraFactory;
    private String cameraIp;
    private String tbId;
    private String level;
    private String cameraType;
    private String channelNum;
    private String imgUrl;


    private List<CentermonitorSetLabelDTO> centermonitorSetLabelDTOList;
    private List<LabelType> labelTypeList = new ArrayList<>();

}
