package com.sooka.sponest.monitor.camera.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 *
 *监控中心-摄像头信息 实体类
 *
 */
@Getter
@Setter
public class VisuForestCloudCameraBO extends BaseEntity {



    /** 主键id */
    private String id;


    private String dataStatus;

    /** 数据所属部门(政或党的id) */

    private Long dataDeptId;

    /** 数据所属部门id */

    private Long deptId;

    /** 数据所属部门(政或党的名称) */

    private String deptName;

    /** 摄像头名称 */

    private String cameraName;

    /** ip */

    private String cameraIp;

    /** 端口 */

    private Long cameraPort;

    /** 账号 */

    private String cameraAccount;

    /** 密码 */

    private String cameraPasword;

    /** 摄像头编码 */

    private String cameraCode;

    /** 摄像头厂家(海康、大华) */

    private String cameraFactory;

    /**
     * 融合平台(海康、大华)
     */
    @Excel(name = "融合平台(海康、大华)", readConverterExp = "0=海康平台,1=大华平台")
    private String convergencePlatform;

    /** 所属区域 */

    private String cameraRegion;

    /** 半径 */

    private String cameraRadius;

    /** 高度 */

    private String height;

    /** 经度 */

    private String longitude;

    /** 维度 */

    private String latitude;

    /** 事件类型 */

    private String eventType;
    /** 通道 */
    private String channelCode;

    private String operatorType;

    private String cameraUse;

    /** 维度 */

    private String cameraType;
    private String channelNum;
    private String workingStatus;
    private String offlineReason;
    /**
     * 经度
     */
    private String gpsX;
    /**
     * 纬度
     */
    private String gpsY;
    /**
     * 纬度
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date escalationTime;

}
