package com.sooka.sponest.monitor.camera.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.List;


/**
 *
 *监控中心-可视化摄像头位置信息 实体类
 *
 */
@Getter
@Setter
public class VisuForestCloudMapVO extends BaseBusinessEntity {

    //部门ID
    private Long deptId;

    //查询日期 yyyy-mm-dd
    private String day;

    //事件编码
    private String eventCode;
    private String type;
    /** 摄像头用途 */
    private String cameraUse;
    /** 摄像头名称 */
    private String cameraName;
    /** 摄像头覆盖范围 */
    private String cameraRadius;
    /** 摄像头覆盖范围 */
    private String radius;
    /** 运行状态 */
    private String workingStatus;
    /** 摄像头覆盖数量 */
    private String cameraCount;
    private List yearMonth;

    private String eventStatusValue;

    private String[] eventTypeId;
    private String [] eventTypeIdDl;
    /** 设备编码 */
    private String deviceCode;
    private List<Long> deptIds;
}
