package com.sooka.sponest.monitor.device.domain;

import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;

/**
 *  监控中心监测设备大气阈值实体
 * */
@Data
public class CentermonitorTMonitoringThresholdAtmosphere extends MonitorBaseEntity {

    private String id;

    /** 设备编码 */
    private String deviceCode;

    /** pm2.5 */
    private String fineParticleThreshold;

    /** pm10 */
    private String suctionParticleThreshold;

    /** 一氧化碳 */
    private String carbonMonoxideThreshold;

    /** 臭氧 */
    private String ozoneThreshold;

    /** 二氧化氮 */
    private String nitrogenDioxideThreshold;

    /** 二氧化硫 */
    private String sulfurDioxideThreshold;

    /** 温度上限 */
    private String temperatureThresholdUp;

    /** 温度下限 */
    private String temperatureThresholdDown;

    /** 湿度上限 */
    private String humidityThresholdUp;

    /** 湿度下限 */
    private String humidityThresholdDown;



}

