package com.sooka.sponest.monitor.device.domain;

import lombok.Data;
/**
 *  监控中心监测设备水质阈值实体
 * */
@Data
public class CentermonitorTMonitoringThresholdWaterQuality extends MonitorBaseEntity {

    /** 主键 */
    private String id;

    /** 设备编码 */
    private String deviceCode;

    /** 水质ph上限 */
    private String waterPhThresholdUp;

    /** 水质ph下限 */
    private String waterPhThresholdDown;

    /** 水质浊度 */
    private String waterQualitySuspensionThreshold;

    /** 氨氮 */
    private String ammoniaNitrogenThreshold;

    /** 电导率上限 */
    private String conductivityThresholdUp;

    /** 电导率下限 */
    private String conductivityThresholdDown;

    /** 化学需氧量 */
    private String codThreshold;

    /** 水温上限 */
    private String waterTemperatureThresholdUp;

    /** 水温下限 */
    private String waterTemperatureThresholdDown;



}

