package com.sooka.sponest.monitor.device.mapper;

import com.sooka.sponest.monitor.device.domain.CentermonitorTMonitoringThresholdAtmosphere;

import java.util.List;

/**
 * 监测设备阈值Mapper接口
 *
 * @author ruoyi
 * @date 2023-03-14
 */
public interface CentermonitorTMonitoringDeviceAtmosphereThresholdMapper {

    /**
     * 通过设备编码查询大气传感器阈值
     * */
    CentermonitorTMonitoringThresholdAtmosphere selectAtmosphereThresholdByCode(String deviceCode);

    /**
     * 通过设备编码组查询大气传感器阈值
     * */
    List<CentermonitorTMonitoringThresholdAtmosphere> selectAtmosphereThresholdByCodes(String[] deviceCodes);

    /**
     * 新增大气监测设备阈值
     */
     int insertAtmosphereThreshold(CentermonitorTMonitoringThresholdAtmosphere thresholdAtmosphere);

    /**
     * 修改大气监测设备阈值
     */
     int updateAtmosphereThreshold(CentermonitorTMonitoringThresholdAtmosphere thresholdAtmosphere);
}
