package com.sooka.sponest.monitor.device.mapper;

import com.sooka.sponest.monitor.camera.domain.CameraCodeAndNameVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 检测设备和摄像头关联Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-31
 */
public interface CentermonitorTMonitoringDeviceCameraMapper {

    /**
     * 新增检测设备和摄像头关联
     */
    public int insertDeviceCamera(@Param("deviceId") String deviceId, @Param("list") List<CameraCodeAndNameVO> cameraDataList);

    /**
     * 删除检测设备和摄像头关联
     *
     * @param deviceId 检测设备id
     * @return 结果
     */
    void deleteDeviceCameraByDeviceId(@Param("deviceId") String deviceId);


    List<CameraCodeAndNameVO> selectByDeviceId(@Param("deviceId") String deviceId);

}
