package com.sooka.sponest.monitor.device.service;

import com.sooka.sponest.monitor.device.domain.CentermonitorTMonitoringThresholdSoilMoisture;

import java.util.List;

public interface ICentermonitorTMonitoringDeviceSoilMoistureThresholdService {

    /**
     * 通过设备编码查询土壤传感器阈值
     * */
    CentermonitorTMonitoringThresholdSoilMoisture selectSoilMoistureThresholdByCode(String deviceCode);

    /**
     * 通过设备编码组查询土壤传感器阈值
     * */
    List<CentermonitorTMonitoringThresholdSoilMoisture> selectSoilMoistureThresholdByCodes(String[] deviceCodes);

    /**
     * 新增土壤监测设备阈值
     */
     int insertSoilMoistureThreshold(CentermonitorTMonitoringThresholdSoilMoisture thresholdSoilMoisture);

    /**
     * 修改土壤监测设备阈值
     */
     int updateSoilMoistureThreshold(CentermonitorTMonitoringThresholdSoilMoisture thresholdSoilMoisture);
}
