package com.sooka.sponest.monitor.remoteapi.service.center.data;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.monitor.dahua.domain.CenterdataTAttach;
import com.sooka.sponest.monitor.remoteapi.fallback.center.event.RemoteEventBaseServiceFallbackFactory;
import com.sooka.sponest.monitor.remoteapi.service.ModulesServiceNameContants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@FeignClient(
        contextId = "RemoteDataBaseService",
        value = ModulesServiceNameContants.CENTER_DATA,
        fallbackFactory = RemoteEventBaseServiceFallbackFactory.class
)
public interface RemoteDataBaseService {


    @PostMapping("/attach/insertAttach")
    public void insertAttach(CenterdataTAttach centerdataTAttach);

}
